<template>
	<v-sheet class="my-6 mx-auto pa-6" color="#F3F6F8" rounded="lg">
		<v-form @submit.prevent>
			<div>
				<label>Old password</label>
				<v-text-field
					base-color="#E4E4E4"
					bg-color="#fff"
					:type="showPassword ? 'text' : 'password'"
					class="pt-2"
					rounded="lg"
					persistent-hint
					variant="outlined"
					autocomplete="on"
					hide-details
					v-model="updatePassword.oldPassword"
				/>
			</div>

			<div class="pt-6">
				<label>New password</label>
				<v-text-field
					base-color="#E4E4E4"
					bg-color="#fff"
					:type="showPassword ? 'text' : 'password'"
					class="pt-2"
					rounded="lg"
					persistent-hint
					variant="outlined"
					autocomplete="on"
					hide-details
					v-model="updatePassword.newPassword"
				/>
			</div>

			<div class="pt-6">
				<label>Replay new password</label>
				<v-text-field
					base-color="#E4E4E4"
					bg-color="#fff"
					:type="showPassword ? 'text' : 'password'"
					class="pt-2"
					rounded="lg"
					persistent-hint
					variant="outlined"
					autocomplete="on"
					hide-details
					v-model="updatePassword.replayNewPassword"
				/>
			</div>
		</v-form>
	</v-sheet>
</template>

<script>
export default {
	name: 'ChangePassword',
	data() {
		return {
			showPassword: false,
			updatePassword: {
				oldPassword: '',
				newPassword: '',
				replayNewPassword: '',
			},
		}
	},
}
</script>

<style lang="scss" scoped>
label {
	color: rgba(41, 49, 72, 0.45);
	font-size: 15px;
	font-weight: 500;
	line-height: 20px;
}
</style>
